Package com.io7m.waxmill.xml.config.v1

# Class WXM1Path.Builder

java.lang.Object
com.io7m.waxmill.xml.config.v1.WXM1Path.Builder

Enclosing class:
  WXM1Path

    public static final class WXM1Path.Builder
    extends java.lang.Object

Builds instances of type `WXM1Path`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

`Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `WXM1Path` | `build()` | Builds a new `WXM1Path`.
  `WXM1Path.Builder` | `from​(WXM1PathType instance)` | Fill a builder with attribute values from the provided `WXM1PathType` instance.
  `WXM1Path.Builder` | `setPath​(java.nio.file.Path path)` | Initializes the value for the `path` attribute.
  `WXM1Path.Builder` | `setType​(java.lang.String type)` | Initializes the value for the `type` attribute.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### from

    public final WXM1Path.Builder from​(WXM1PathType instance)
    Fill a builder with attribute values from the provided `WXM1PathType` instance. Regular attribute values will be replaced with those from the given instance. Absent optional values will not replace present values.
    Parameters:
      `instance` - The instance from which to copy values
    Returns:
      `this` builder for use in a chained invocation

  - ### setType

    public final WXM1Path.Builder setType​(java.lang.String type)
    Initializes the value for the `type` attribute.
    Parameters:
      `type` - The value for type
    Returns:
      `this` builder for use in a chained invocation

  - ### setPath

    public final WXM1Path.Builder setPath​(java.nio.file.Path path)
    Initializes the value for the `path` attribute.
    Parameters:
      `path` - The value for path
    Returns:
      `this` builder for use in a chained invocation

  - ### build

    public WXM1Path build()
    Builds a new `WXM1Path`.
    Returns:
      An immutable instance of WXM1Path
    Throws:
      `java.lang.IllegalStateException` - if any required attributes are missing